matrix:
  unix_platform:
  - debian11
  - ubuntu2204
  - macos_arm64
  bazel:
  - 7.x
  - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_targets:
    - "@envoy_toolshed//compile/..."
    - "@envoy_toolshed//coverage/..."
    - "@envoy_toolshed//dependency/..."
    - "@envoy_toolshed//format/..."
    - "@envoy_toolshed//profiler/..."
    - "@envoy_toolshed//repository/..."
    - "@envoy_toolshed//sha/..."
    - "@envoy_toolshed//sysroot/..."
    - "@envoy_toolshed//tarball/..."
    - "@envoy_toolshed//toolchains/..."
    - "@envoy_toolshed//:dependency_versions"
